<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" omit-xml-declaration="yes"/>
	<xsl:template match="/">
		<html>
			<body>
				<script>
					var generatedListItems = new Array();
					var NAME_COL = 0;
					var SIZE_COL = 1;
					var SIZEF_COL = 2;
					var DATE_COL = 3;
					var TYPE_COL = 4;
					var PRIVS_COL = 5;
					var PATH_COL = 6;
					var VIRTUAL_COL = 7;
					var COMMENT_COL = 8;
					//LISTING START
					generatedListItems = new Array();
					<xsl:for-each select="listing/items/items_subitem">
						generatedListItems[<xsl:value-of select="position()"/>-1] = new Array();
						generatedListItems[<xsl:value-of select="position()"/>-1][NAME_COL] = "<xsl:value-of select="normalize-space(name)"/>";
						generatedListItems[<xsl:value-of select="position()"/>-1][SIZE_COL] = "<xsl:value-of select="normalize-space(size)"/>";
						generatedListItems[<xsl:value-of select="position()"/>-1][SIZEF_COL] = "<xsl:value-of select="normalize-space(sizeFormatted)"/>";
						generatedListItems[<xsl:value-of select="position()"/>-1][DATE_COL] = "<xsl:value-of select="normalize-space(modified)"/>";
						generatedListItems[<xsl:value-of select="position()"/>-1][TYPE_COL] = "<xsl:value-of select="normalize-space(type)"/>";
						if (generatedListItems[<xsl:value-of select="position()"/>-1][TYPE_COL] == "DIR") generatedListItems[<xsl:value-of select="position()"/>-1][SIZE_COL] = "0";
						generatedListItems[<xsl:value-of select="position()"/>-1][PRIVS_COL] = "rename=<xsl:value-of select="normalize-space(rename)"/>,read=<xsl:value-of select="normalize-space(download)"/>,delete=<xsl:value-of select="normalize-space(delete)"/>,deletedir=<xsl:value-of select="normalize-space(deletedir)"/>,inherited=<xsl:value-of select="normalize-space(inherited)"/>";
						generatedListItems[<xsl:value-of select="position()"/>-1][PATH_COL] = "<xsl:value-of select="normalize-space(root_dir)"/>";
						generatedListItems[<xsl:value-of select="position()"/>-1][VIRTUAL_COL] = "<xsl:value-of select="normalize-space(is_virtual)"/>";
						generatedListItems[<xsl:value-of select="position()"/>-1][COMMENT_COL] = "<xsl:value-of select="normalize-space(comment)"/>";
					</xsl:for-each>
					//LISTING END
				</script>
				<script>
					//PATHS START
					generatedPathItems = new Array();
					<xsl:for-each select="listing/paths/paths_subitem">
						generatedPathItems[<xsl:value-of select="position()"/>-1] = new Object();
						generatedPathItems[<xsl:value-of select="position()"/>-1].href = "<xsl:value-of select="href"/>";
						generatedPathItems[<xsl:value-of select="position()"/>-1].name = "<xsl:value-of select="name"/>";
					</xsl:for-each>
					//PATHS END
				</script>
			</body>
		</html>
	</xsl:template>
</xsl:transform>
